agreements
Creates an agreement
Only allows creating agreements in english. Use update api to add contents in other languages
POST
/
api
/
agreements
Creates an agreement
curl --request POST \
--url https://api.fluid.app/api/agreements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agreement": {
"title": "<string>",
"description": "<string>",
"show_at_checkout": true,
"default_checked": true,
"enrollment_pack_id": 123,
"attachments_attributes": [
{
"url": "<string>",
"filename": "<string>",
"kind": "<string>",
"content_type": "<string>",
"content_size": 123,
"metadata": {}
}
]
}
}
'import requests
url = "https://api.fluid.app/api/agreements"
payload = { "agreement": {
"title": "<string>",
"description": "<string>",
"show_at_checkout": True,
"default_checked": True,
"enrollment_pack_id": 123,
"attachments_attributes": [
{
"url": "<string>",
"filename": "<string>",
"kind": "<string>",
"content_type": "<string>",
"content_size": 123,
"metadata": {}
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agreement: {
title: '<string>',
description: '<string>',
show_at_checkout: true,
default_checked: true,
enrollment_pack_id: 123,
attachments_attributes: [
{
url: '<string>',
filename: '<string>',
kind: '<string>',
content_type: '<string>',
content_size: 123,
metadata: {}
}
]
}
})
};
fetch('https://api.fluid.app/api/agreements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Headers
Query Parameters
Body
application/json
Request payload
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Created
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Creates an agreement
